# $Id: file.rb,v 1.3 2002/09/11 11:25:49 knu Exp $

require 'features/ruby18/base'
require 'features/ruby18/file_ruby18.so'

class << File
  def extname(f)
    if /.(\.[^.]*)\z/m =~ basename(f)
      $1
    else
      ''
    end
  end
end
